# Table des matières

- [Auteur(s)](#auteurs)
- [Travail à réaliser](#travail-à-réaliser)
- [Installation/Tutoriel](#installationtutoriel)
    - [Installation de docker](#installation-de-docker)
    - [Installation de Jenkins](#installation-de-jenkins)
    - [Configuration de base Jenkins et de GitLab](#configuration-de-base-jenkins-et-de-gitlab)
    - [Liaison de Jenkins et de GitLab](#liaison-de-jenkins-et-de-gitlab)
- [Technologies utilisées](#technologies-utilisées)
- [Sources](#sources)

## Auteur(s)

|Nom|Prénom|login|email|
|--|--|--|--|
| *LEFRANCOIS* | *Raphael*| *lr131160* | *raphael.lefrancois@etu.univ-lehavre.fr* |
| *QUESNEY* | *Jules*| *qj141460* | *jules.quesney@etu.univ-lehavre.fr* |
| *VIMBERT* | *Fabien*| *vf130233* | *fabien.vimbert@etu.univ-lehavre.fr* |


## Travail à réaliser

L'objectif de ce mini projet est de se familiariser avec **Docker** à travers un exemple utilisant **Jenkins** et **Git**.


Construisez un conteneur Docker permettant de faire des tests en continu sur une application de votre choix hébergée sur le Git local (de l'université).

Jenkins doit être dans le conteneur et être relié à la Forge de l'université.


*Le rendu* : page(s) web sur votre compte Forge réalisée en Markdown pour présenter votre travail (façon tutoriel). 


*groupe* : par 4 maximum

## Installation/Tutoriel

### Installation de docker

Dans le cas ou docker est déjà installer et que vous souhaitez le supprimer, effectuer la commande :
```shell
sudo apt-get remove docker docker-engine docker.io
```

Dans un premier temps, veuillez mettre a jour les packages présents
```shell
sudo apt-get update
```

Puis installer les packages suivant
```shell
sudo apt-get install \
apt-transport-https \
ca-certificates \
curl \
software-properties-common
```

Enfin, installer docker via la commande suivante
```shell
curl -fsSL https://dowload.docker.com./linux/ubuntu/gpg | sudo apt-key add -
```

Ajoutez ensuite le répertoire suivant
```shell
sudo add-apt-repository "deb [arch-amd64] hattps://dowload.docker.com/linux/ubuntu \
$(lsb_release -cs) 
stable"
```

Enfin, installez docker-ce
```shell
sudo apt-get docker-ce
```

Pour tester si docker fonctionne correctement, vous pouvez effectuer la commande suivante
```shell
sudo run hello-world
```
Si cette dernière commande fonctione, le terminal devrai fous renvoyer :
```shell
Hello from Docker:
This message shows that your installation appears to be working correctly.
```


### Installation de Jenkins

XXX

### Configuration de base Jenkins et de GitLab

XXX

### Liaison de Jenkins et de GitLab

XXX

*TODO*

## Technologies utilisées

- [Docker](https://www.docker.com/)
- [Jenkins](https://jenkins.io/)
- [Gitlab](https://about.gitlab.com/)

## Sources

*TODO*